from dataclasses import dataclass
from datetime import datetime

@dataclass
class PlantState:
  timestamp: datetime
  source: str

  cpu_running: bool
  hydraulics_powered: bool
  cooling_enabled: tuple[bool, ...]
  heating_enabled: tuple[bool, ...]

  series = "plant"